Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Project
/
{projectId}
Get a Project
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Project/{projectId} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "code": "<string>",
  "isActive": true,
  "isAvailableOnline": true,
  "isPublic": true,
  "isDeleted": true,
  "name": "<string>",
  "description": "<string>",
  "sortOrder": 123,
  "emailAddresses": "<string>",
  "metadataFields": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "image": "<string>",
  "isPinned": true,
  "donorAmount": 123,
  "giftAmount": 123,
  "createdDateTime": "<string>",
  "modifiedDateTime": "<string>",
  "raisedAmount": "<string>",
  "averageGiftAmount": "<string>",
  "firstGiftDate": "<string>",
  "lastGiftDate": "<string>",
  "isSystem": true,
  "percentageRecurringGift": 123,
  "externalIdentifier": "<string>",
  "impactData": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

projectId
integer<int64>
required

The ID of the project.

Response

OK

Represents a project model.

id
integer<int64>

Gets or sets the identifier.

code
string | null

Gets or sets the code.

isActive
boolean

Gets or sets a value indicating whether active.

isAvailableOnline
boolean

Gets or sets a value indicating whether available online.

isPublic
boolean

Gets or sets a value indicating whether public.

isDeleted
boolean

Gets or sets a value indicating whether deleted.

name
string | null

Gets or sets the name.

description
string | null

Gets or sets the description.

sortOrder
integer<int32>

Gets or sets the sort order.

emailAddresses
string | null

Gets or sets the email addresses.

metadataFields
object[] | null

Gets or sets the metadata fields.

image
string | null

Gets or sets the image.

isPinned
boolean

Gets or sets a value indicating whether pinned.

donorAmount
integer<int32>

Gets or sets the donor amount.

giftAmount
integer<int32>

Gets or sets the gift amount.

createdDateTime
string | null

Gets or sets the created date time.

modifiedDateTime
string | null

Gets or sets the modified date time.

raisedAmount
string | null

Gets or sets the raised amount.

averageGiftAmount
string | null

Gets or sets the average gift amount.

firstGiftDate
string | null

Gets or sets the first gift date.

lastGiftDate
string | null

Gets or sets the last gift date.

isSystem
boolean

Gets or sets a value indicating whether system.

percentageRecurringGift
number<double>

Gets or sets the percentage recurring gift.

externalIdentifier
string | null

Gets or sets the external identifier.

impactData
string | null

Gets or sets the impact data.

Last modified on June 5, 2026